echo off
echo ""
echo S1200BTL Integreated BMC Firmware Update rev 01.05.1260
echo Performing a signed image update of the Integreated BMC Firmware.
echo ""
.\WinPEUtils_x86\FWPIAUPD\Devicesetup.exe remove *IPI0001
.\WinPEUtils_x86\FWPIAUPD\DeviceSetup install .\WinPEUtils_x86\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x86\FWPIAUPD\FWPIAUPD -u -bin -ni -nopc -b -o -pia -if=usb IBMC_Signed_01.05.1260.bin

echo "Update FRUSDR using FRUSDR utility"
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\imbdrv.inf *IMBDRV
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\FRUSDR\frusdr -cfg MASTER.CFG

echo "Update BIOS to 24"
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\flashud.inf *int0800
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\IFlash32\IFlash32 /u /ni BTP_024.cap

echo ""
echo "Flashing ME Rev.SPS_02_00_08_015_0..."
.\WinPEUtils_x86\IFlash32\IFlash32 /u /ni SPS_02_00_08_015_0_ME_FW.cap
echo ""
echo "ME Rev.SPS_02_00_08_015_0 update completed..."

echo "Updates completed. Please reboot using the front panel button."

echo on